import { AnnotationLayer } from "./AnnotationLayer";
import { IFastItemColumn$1 } from "igniteui-react-core/ES2015/IFastItemColumn$1";
import { Base, Type, Point } from "igniteui-react-core/ES2015/type";
import { Series } from "./Series";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { Thickness } from "igniteui-react-core/ES2015/Thickness";
import { CalloutCollisionMode } from "./CalloutCollisionMode";
import { FontInfo } from "igniteui-react-core/ES2015/FontInfo";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { CalloutLayerFrame } from "./CalloutLayerFrame";
import { CalloutAnnotationWrapper } from "./CalloutAnnotationWrapper";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES2015/FastItemsSourceEventAction";
import { CalloutSeriesSelectingEventArgs } from "./CalloutSeriesSelectingEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Size } from "igniteui-react-core/ES2015/Size";
import { CalloutContentUpdatingEventArgs } from "./CalloutContentUpdatingEventArgs";
import { CalloutLabelUpdatingEventArgs } from "./CalloutLabelUpdatingEventArgs";
import { DataContext } from "igniteui-react-core/ES2015/DataContext";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { HashPool$2 } from "igniteui-react-core/ES2015/HashPool$2";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
import { TextBlock } from "igniteui-react-core/ES2015/TextBlock";
import { IExecutionContext } from "igniteui-react-core/ES2015/IExecutionContext";
import { Visibility } from "igniteui-react-core/ES2015/Visibility";
/**
 * @hidden
 */
export declare class CalloutLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    private pf;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    c9(a: boolean): boolean;
    private nt;
    private pr;
    private ps;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    o3: string;
    nb: IFastItemColumn$1<any>;
    private m6;
    pa: string;
    nc: IFastItemColumn$1<any>;
    private m7;
    pd: string;
    nd: IFastItemColumn$1<any>;
    private m8;
    o0: string;
    na: IFastItemColumn$1<any>;
    private m5;
    np: boolean;
    ou: string;
    m9: IFastItemColumn$1<any>;
    private m4;
    private nu;
    private nx;
    private ph;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    protected my: CalloutLayerView;
    private ny;
    m1: Series;
    or: string;
    no: boolean;
    nr: boolean;
    nq: boolean;
    n9: number;
    ql: Brush;
    qi: Brush;
    oa: number;
    qk: Brush;
    qj: Brush;
    readonly qp: Thickness;
    n2: number;
    n4: number;
    n3: number;
    n1: number;
    mv: CalloutCollisionMode;
    n5: number;
    n6: number;
    o6: string;
    private m2;
    readonly m3: FontInfo;
    protected mc(a: Series, b: boolean): void;
    protected me(a: Frame, b: SeriesView): void;
    private nv;
    private ns;
    private ne;
    private qn;
    protected jm(a: Rect, b: Rect): void;
    protected jl(a: Rect, b: Rect): void;
    private nk;
    private n8;
    private qm;
    qo: Rect;
    private pn;
    private pj;
    private nf;
    private ob;
    private oc;
    private ng;
    private pg;
    private nh;
    private n7;
    private nz;
    private od;
    protected lz(a: Series): boolean;
    ig(): void;
    private nj;
    pm(): void;
    calloutContentUpdating: (sender: any, args: CalloutContentUpdatingEventArgs) => void;
    calloutLabelUpdating: (sender: any, args: CalloutLabelUpdatingEventArgs) => void;
    calloutSeriesSelecting: (sender: any, args: CalloutSeriesSelectingEventArgs) => void;
    private nw;
    private po;
    private nm;
    private nn;
    private n0;
    private nl;
    protected bd(): SeriesHitTestMode;
    ar(a: Point, b: boolean): DataContext;
    dg(a: Point, b: boolean): boolean;
    protected pq(a: CalloutLayerFrame, b: boolean): void;
    protected mh(a: Frame, b: SeriesView): void;
    protected c7(): boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    private pp;
    private ni;
    private pk;
    private pi;
    private pl;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CalloutLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CalloutLayer);
    protected b1: CalloutLayer;
    private b7;
    ap(): void;
    private b3;
    private b9;
    private cb;
    private ca;
    b6: HashPool$2<CalloutAnnotationWrapper, CalloutView>;
    ci(a: Brush): Brush;
    protected a3(a: RenderingContext, b: boolean): void;
    protected b5(): FontInfo;
    ai(a: any): void;
    private b8;
    ck(a: TextBlock): Size;
    private b2;
    cj(a: any, b: Thickness): Size;
    b4(): IExecutionContext;
    cc(a: CalloutView, b: number, c: number): void;
    cd(a: CalloutView, b: CalloutAnnotationWrapper, c: any): void;
    ce(a: Series): Brush;
    ch(): Brush;
    cg(): Brush;
    cf(a: Series): Brush;
}
/**
 * @hidden
 */
export declare class CalloutView extends Base {
    static $t: Type;
    constructor(a: CalloutLayerView);
    private a;
    w: Visibility;
    h(a: RenderingContext): void;
    private j;
    private r;
    private o;
    private q;
    p: Point;
    n: Brush;
    m: Brush;
    l: Brush;
    k: Brush;
    c: number;
    private u;
    private t;
    v: Thickness;
    f: any;
    d: number;
    e: number;
    s(): Size;
    private b;
    i(a: Series, b: CalloutAnnotationWrapper, c: any): void;
    g(a: CalloutLayer, b: FontInfo, c: any): void;
}
